"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.decompress = exports.compress = void 0;
const pako = require("pako");
/**
 * Compress the buffer using zlib compression.
 */
function compress(buffer, level) {
    return pako.deflate(new Uint8Array(buffer), { level: level });
}
exports.compress = compress;
/**
 * Decompress a zlib compressed buffer.
 */
function decompress(buffer) {
    return pako.inflate(new Uint8Array(buffer)).buffer;
}
exports.decompress = decompress;
//# sourceMappingURL=compression.js.map